CREATE TABLE employees (
  id INTEGER PRIMARY KEY,
  first_name CHAR NOT NULL,
  last_name CHAR NOT NULL,
  sex CHAR NOT NULL,
  email CHAR NOT NULL
);

CREATE TABLE employee_rates (
  employee_id INTEGER NOT NULL,
  rate DECIMAL(5,2),
  start_date INTEGER NOT NULL,
  end_date INTEGER
);

CREATE TABLE clients (
  id INTEGER PRIMARY KEY,
  company_name CHAR,
  contact_name CHAR,
  telephone CHAR
);

CREATE TABLE projects (
  code CHAR PRIMARY KEY,
  client_id INTEGER NOT NULL,
  title CHAR NOT NULL,
  start_date INTEGER,
  due_date INTEGER
);

CREATE TABLE timesheets (
  id INTEGER PRIMARY KEY,
  employee_id INTEGER NOT NULL,
  project_code CHAR NOT NULL,
  date_worked INTEGER NOT NULL,
  hours DECIMAL(5,2) NOT NULL
);

