<?php

$contacts = array(array("first_name" => "Ronnie",
                        "last_name"  => "O'Sullivan",
                        "email"      => "ronnie@worldsnooker.com"),
                  array("first_name" => "Shaquille",
                        "last_name"  => "O'Neil",
                        "email"      => "shaq@lakers.com"),
                  array("first_name" => "John",
                        "last_name"  => "O'Shea",
                        "email"      => "jos@manutd.com"));

if (!$db = sqlite_open("webdb", 0666, &$errmessage)) {
  echo "Could not open database:<br />\n";
  echo $errmessage;
  exit;
}
else {

  foreach ($contacts as $c) {

    // Escape each value before building INSERT statement
    foreach ($c as $field => $value) {
      $c[$field] = sqlite_escape_string($value);
    }

    $sql = "INSERT INTO contacts (first_name, last_name, email)
            VALUES ('$c[first_name]', '$c[last_name]', '$c[email]')";

    $res = sqlite_query($db, $sql);
    if (!$res) {
      echo "Error with query.";
      echo "<PRE>$sql</PRE>";
      echo sqlite_error_string(sqlite_last_error($db));
    }
    echo "Inserted $c[first_name] $c[last_name]<br />\n";
    $id = sqlite_last_insert_rowid($db);
    echo "Inserted $c[first_name] $c[last_name] as ID $id<br />\n";
  }
}

?>
