#include <stdio.h>
#include <sqlite.h>

main()
{

  char *errmsg;
  int ret;

  sqlite *db = sqlite_open("progdb", 0777, &errmsg);

  if (db == 0)
  {
    fprintf(stderr, "Could not open database: %s\n", errmsg);
    sqlite_freemem(errmsg);
    exit(1);
  }

  ret = sqlite_exec(db, 
          "CREATE TABLE contacts (   \n"
          "  id INTEGER PRIMARY KEY, \n"
          "  first_name CHAR,        \n"
          "  last_name  CHAR,        \n"
          "  email      CHAR)",  NULL, NULL, &errmsg);
  if (ret != SQLITE_OK)
  {
    fprintf(stderr, "SQL error: %s\n", errmsg);
  }

  sqlite_close(db);
}
