#include <stdio.h>
#include <sqlite.h>

#define MAXLEN 32
#define MAXQRY 200

main()
{

  char *errmsg;
  int ret;
  char first_name[MAXLEN], last_name[MAXLEN], email[MAXLEN];
  char qry[MAXQRY];

  sqlite *db = sqlite_open("progdb", 0777, &errmsg);

  if (db == 0)
  {
    fprintf(stderr, "Could not open database: %s\n", errmsg);
    sqlite_freemem(errmsg);
    exit(1);
  }

  printf("Enter first name: ");
  scanf("%s", first_name);

  printf("Enter last name: ");
  scanf("%s", last_name);

  printf("Enter email: ");
  scanf("%s", email);

  sprintf(qry, "INSERT INTO CONTACTS (first_name, last_name, email) \n"
               "VALUES ('%s', '%s', '%s')", first_name, last_name, email);

  ret = sqlite_exec(db, qry, NULL, NULL, &errmsg);
  if (ret != SQLITE_OK)
  {
    fprintf(stderr, "SQL error: %s\n%s\n", errmsg, qry);
  }
  else
  {
    printf("%s %s (%s) was inserted as ID %d\n",
            first_name, last_name, email, sqlite_last_insert_rowid(db));
  }

  sqlite_close(db);
}
