#include <stdio.h>
#include <sqlite.h>

main()
{

  char ***values, ***columnNames;
  char *errmsg;
  int ret, cols, i;
  sqlite_vm *vm;

  sqlite *db = sqlite_open("progdb", 0777, &errmsg);

  if (db == 0)
  {
    fprintf(stderr, "Could not open database: %s\n", errmsg);
    sqlite_freemem(errmsg);
    exit(1);
  }

  ret = sqlite_compile(db, "SELECT * FROM contacts", NULL, &vm, &errmsg);

  while(sqlite_step(vm, &cols, &values, &columnNames) == SQLITE_ROW) {
    for (i=0; i<cols; i++) {
      printf("%-10s %s\n", columnNames[i], values[i]);
    }
  }

  ret = sqlite_finalize(vm, &errmsg);

  if (ret != SQLITE_OK)
  {
    fprintf(stderr, "SQL error: %s\n", errmsg);
  }

  sqlite_close(db);
}
