#!/usr/bin/perl

sub altcaps {
  my $str = $_[0];
  my $newstr = "";
  for ($i=0; $i<length($str); $i++) {
    $char = substr($str, $i, 1);
    if ($i%2) {
      $newstr .= uc($char);
    }
    else {
      $newstr .= lc($char);
    }
  }
  return $newstr;
}

use DBI;

$dbh = DBI->connect("DBI:SQLite:dbname=perldb", "", "")
       or die("Cannot connect: " . $dbh->errstr() );

$dbh->func( "altcaps", 1, "altcaps", "create_function" );

$sql = "SELECT altcaps(last_name) FROM contacts";

$sth = $dbh->prepare($sql)
       or die("Cannot prepare: " . $dbh->errstr() );

$sth->execute() or die("Cannot execute: ". $dbh->errstr() );

while ( $first_name = $sth->fetchrow_array() ) {
  print "$first_name \n";
}

