#!/usr/bin/perl

use DBI;

$dbh = DBI->connect("DBI:SQLite:dbname=perldb", "", "")
       or die("Cannot connect: " . $dbh->errstr);

$sql = "INSERT INTO contacts (first_name, last_name, email) ".
       "VALUES (?, ?, ?)";

$sth = $dbh->prepare($sql)
       or die("Cannot prepare: " . $dbh->errstr); 

while(<>) {
  chomp;
  my ($first_name, $last_name, $email) = split /,/;

  if (!$email) {
    print "Required format: first_name, last_name, email\n";
    next;
  }

  $sth->execute($first_name, $last_name, $email)
         or die("Cannot execute: ". $dbh->errstr() );

  print "Inserted: $first_name, $last_name, $email\n";

}
