<?php

function median_step(&$context, $num) {
  $context[] = $num;
}

function median_finalize(&$context) {
  sort($context);
  $count = count($context);
  if ($count%2 == 1) {  // Odd number of values
    $median = $context[floor($count/2)];
  }
  else {  // Even number of values
    $median = ($context[$count/2] + $context[($count/2)-1] ) / 2;
  }
  return($median);
}

if (!$db = sqlite_open("webdb", 0666, &$errmessage)) {
  echo "Could not open database:<br />\n";
  echo $errmessage;
  exit;
}
else {

  sqlite_create_aggregate($db, "median", "median_step", "median_finalize");

  $sql = "SELECT median(num), avg(num) FROM numbers";
  $res = sqlite_query($db, $sql);

  echo "Median is ";
  echo sqlite_column($res, 0);
  echo "<br />\n";

  echo "Mean is ";
  echo sqlite_column($res, 1);
  echo "<br />\n";
}

?>
