<?php

if (!$db = sqlite_open("webdb", 0666, &$errmessage)) {
  echo "Could not open database:<br />\n";
  echo $errmessage;
  exit;
}
else {

  $sql = "UPDATE contacts
          SET first_name = upper(first_name),
              last_name  = upper(last_name)";

  $res = sqlite_query($db, $sql);
  if (!$res) {
    echo "Error with query.";
    echo "<PRE>$sql</PRE>";
    echo sqlite_error_string(sqlite_last_error($db));
  }
  $changes = sqlite_changes($db);
  echo "Updated $changes row(s)<br />\n";
}

?>
