<?php

if (!$db = sqlite_open("webdb", 0666, &$errmessage)) {
  echo "Could not open database:<br />\n";
  echo $errmessage;
  exit;
}
else {

  $sql = "SELECT * FROM contacts
          ORDER BY last_name, first_name";

  $res = sqlite_query($db, $sql);
  if (!$res) {
    echo "Error with query.";
    echo "<PRE>$sql</PRE>";
    echo sqlite_error_string(sqlite_last_error($db));
  }

  echo sqlite_num_rows($res)." row(s) found<br />\n";

  echo "<TABLE BORDER=1>\n";

  echo "<TR>\n";
  for ($i=0; $i<sqlite_num_fields($res); $i++) {
    echo "<TH>" . sqlite_field_name($res, $i) . "</TH>\n";
  }
  echo "</TR>\n";

  while (sqlite_has_more($res)) {
    echo "<TR>\n";
    for ($i=0; $i<sqlite_num_fields($res); $i++) {
      echo "<TD>" . sqlite_column($res, $i) . "</TD>\n";
    }
    echo "</TR>\n";
    sqlite_next($res);
  }

  echo "</TABLE>";
}

?>
