#include <stdio.h>
#include <sqlite.h>

main()
{

  char *errmsg;
  int ret;

  sqlite *db = sqlite_open("progdb", 0777, &errmsg);

  if (db == 0)
  {
    fprintf(stderr, "Could not open database: %s\n", errmsg);
    sqlite_freemem(errmsg);
    exit(1);
  }

  ret = sqlite_exec(db, 
          "UPDATE contacts "
          "SET first_name = upper(first_name), \n"
          "    last_name  = upper(last_name)", NULL, NULL, &errmsg);

  if (ret != SQLITE_OK)
  {
    fprintf(stderr, "SQL error: %s\n", errmsg);
  }
  else
  {
    printf("%d row(s) were changed\n", sqlite_changes(db));
  }

  sqlite_close(db);
}
