#include <stdio.h>
#include <sqlite.h>

main()
{

  char *errmsg;
  char **result;
  char buf[80];
  int ret, rows, cols, i, j;

  sqlite *db = sqlite_open("progdb", 0777, &errmsg);

  if (db == 0)
  {
    fprintf(stderr, "Could not open database: %s\n", errmsg);
    sqlite_freemem(errmsg);
    exit(1);
  }

  ret = sqlite_get_table(db, "SELECT * FROM contacts",
                         &result, &rows, &cols, &errmsg);

  if (ret != SQLITE_OK)
  {
    fprintf(stderr, "SQL error: %s\n", errmsg);
  }
  else {
    printf("The query returned %d row(s) and %d column(s)\n", rows, cols);

    for (i=0; i< cols * (rows+1); i++) {
      printf("result[%d] = %s\n", i, result[i]);
    }

  }

  sqlite_close(db);
}
