#!/usr/bin/perl

use DBI;

$dbh = DBI->connect("DBI:SQLite:dbname=perldb", "", "")
       or die("Cannot connect: " . $dbh->errstr() );

$dbh->trace(1);

$sql = "CREATE TABLE numbers (num INTEGER)";
$dbh->do($sql);

$sql = "INSERT INTO numbers (num) VALUES (?)";

$sth = $dbh->prepare($sql)
       or die("Cannot prepare: " . $dbh->errstr() ); 

for ($i=1; $i<=9; $i++) {
  $sth->execute($i * $i)
         or die("Cannot execute: " . $dbh->errstr() );
}
