#!/usr/bin/perl

use DBI;

$dbh = DBI->connect("DBI:SQLite:dbname=perldb", "", "")
       or die("Cannot connect: " . $dbh->errstr() );

$sql = "UPDATE contacts ".
       "SET first_name = upper(first_name)";

$sth = $dbh->prepare($sql)
       or die("Cannot prepare: " . $dbh->errstr() );

$num = $sth->execute or die("Cannot execute: ". $dbh->errstr() );


print "Updated " . $sth->rows ." rows \n";

$sql = "INSERT INTO contacts (first_name, last_name, email) ".
       "VALUES ('Bill', 'Williams', 'bill@williams.com')";

$sth = $dbh->prepare($sql)
       or die("Cannot prepare: " . $dbh->errstr() ); 

$sth->execute() or die("Cannot execute: ". $dbh->errstr() );

print "Inserted with ID " . $dbh->func("last_insert_rowid"). "\n";

